;-------------------------------------------------------------------------------
; Program Name: DrawingProps.lsp
; Function:     An example to work on CAD application by getting document summary properties and editing these properties.
;-------------------------------------------------------------------------------

(defun c:dProps ()
(vl-load-com)

; Get running CAD application object
(setq acadObject (vlax-get-acad-object))

; Get an Active document object of the CAD application
(setq acadDocument (vlax-get-property acadObject "ActiveDocument"))
;(setq acadDocument (vla-get-ActiveDocument acadObject))
 
   ;;Get the SummaryInfo
   (setq dProps (vlax-get-Property acadDocument "SummaryInfo"))
 
   ;;Edit the SummaryInfo properties
   (vlax-put-Property dProps "Title" "VLISP: Test Title")
   (vlax-put-Property dProps "Subject" "VLISP: Test Subject")
   (vlax-put-Property dProps "Author" "VLISP: Test Author")
   (vlax-put-Property dProps "Keywords" "VLISP: One Two Three")
   (vlax-put-Property dProps "Comments" "VLISP:This is a comment")
   (vlax-put-Property dProps "HyperlinkBase" "\\\\www.Greabert.com")
   (vlax-put-Property dProps "LastSavedBy" "VLISP:Tester")
   (vlax-put-Property dProps "RevisionNumber" "VLISP:1")
   
   ;;Add an entry to the "Custom" tab
   (vlax-invoke-method dProps "addcustominfo" "VLISP-test custom" "VLISP:custom value")
 
   ;;Access the updated properties and print them to the command window
   (setq dProp (vlax-get-Property dProps "Title"))
   (princ (strcat "\nTitle = " dProp "\n"))
   (setq dProp (vlax-get-Property dProps "Subject"))
   (princ (strcat "Subject = " dProp "\n"))
   (setq dProp (vlax-get-Property dProps "Author"))
   (princ (strcat "Author = " dProp "\n"))
   (setq dProp (vlax-get-Property dProps "Keywords"))
   (princ (strcat "Keywords = " dProp "\n"))
   (setq dProp (vlax-get-Property dProps "Comments"))
   (princ (strcat "Comments = " dProp "\n"))
   (setq dProp (vlax-get-Property dProps "HyperlinkBase"))
   (princ (strcat "HyperlinkBase = " dProp "\n"))
   (setq dProp (vlax-get-Property dProps "LastSavedBy"))
   (princ (strcat "LastSavedBy = " dProp "\n"))
   (setq dProp (vlax-get-Property dProps "RevisionNumber"))
   (princ (strcat "RevisionNumber = " dProp "\n"))
   (princ)
)